ackaging/pull/3000

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1619594

Description of problem:

Foreman upgrade to 1.18 fails at Upgrade Step: migrate_foreman

How reproducible:

Change logging.yaml while on 1.17

Upgrade to 1.18

Additional info:

foreman.log:

[ INFO 2001-01-01T13:56:31 main] Upgrade Step: migrate_foreman...

[DEBUG 2001-01-01T13:56:34 main] /usr/share/foreman/lib/foreman.rb:8: warning: already initialized

 constant Foreman::UUID_REGEXP

[DEBUG 2001-01-01T13:56:34 main] /usr/share/foreman/lib/foreman.rb:8: warning: previous definition

 of UUID_REGEXP was here

[DEBUG 2001-01-01T13:56:34 main] /usr/share/foreman/lib/core_extensions.rb:182: warning: already i

nitialized constant ActiveSupport::MessageEncryptor::DEFAULT_CIPHER

[DEBUG 2001-01-01T13:56:34 main] /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-

5.1.6/lib/active_support/message_encryptor.rb:22: warning: previous definition of DEFAULT_CIPHER w

as here

[DEBUG 2001-01-01T13:56:35 main] rake aborted!

[DEBUG 2001-01-01T13:56:35 main] TypeError: nil is not a kind of 'Logging::Layout'

[DEBUG 2001-01-01T13:56:35 main] /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/lo

gging/appender.rb:161:in `layout='

[DEBUG 2001-01-01T13:56:35 main] /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/lo

gging/appender.rb:45:in `initialize'

[DEBUG 2001-01-01T13:56:35 main] /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/lo

gging/appenders/buffering.rb:49:in `initialize'

[DEBUG 2001-01-01T13:56:35 main] /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/lo

gging/appenders/io.rb:39:in `initialize'

[DEBUG 2001-01-01T13:56:35 main] /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/lo

gging/appenders/file.rb:60:in `initialize'

[DEBUG 2001-01-01T13:56:35 main] /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/lo

gging/appenders/file.rb:8:in `new'

[DEBUG 2001-01-01T13:56:35 main] /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/lo

gging/appenders/file.rb:8:in `file'

[DEBUG 2001-01-01T13:56:35 main] /usr/share/foreman/lib/foreman/logging.rb:182:in `build_file_appe

nder'

[DEBUG 2001-01-01T13:56:35 main] /usr/share/foreman/lib/foreman/logging.rb:164:in `build_root_appe

nder'
[DEBUG 2001-01-01T13:56:35 main] /usr/share/foreman/lib/foreman/logging.rb:130:in `configure_root_

logger'

[DEBUG 2001-01-01T13:56:35 main] /usr/share/foreman/lib/foreman/logging.rb:20:in `configure'

[DEBUG 2001-01-01T13:56:35 main] /usr/share/foreman/config/application.rb:204:in `<class:Applicati

on>'

[DEBUG 2001-01-01T13:56:35 main] /usr/share/foreman/config/application.rb:74:in `<module:Foreman>'

[DEBUG 2001-01-01T13:56:35 main] /usr/share/foreman/config/application.rb:73:in `<top (required)>'

[DEBUG 2001-01-01T13:56:35 main] /usr/share/foreman/Rakefile:1:in `<top (required)>'

[DEBUG 2001-01-01T13:56:35 main] /opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/exe/rake:2

7:in `<top (required)>'

[DEBUG 2001-01-01T13:56:35 main] (See full trace by running task with --trace)

[ERROR 2001-01-01T13:56:35 main] foreman-rake db:migrate failed! Check the output for error!

[ERROR 2001-01-01T13:56:35 main] Upgrade step migrate_foreman failed. Check logs for more informat

ion.

[DEBUG 2001-01-01T13:56:35 main] Exit with status code: 1 (signal was 1)

[ERROR 2001-01-01T13:56:35 main] Errors encountered during run:

[ERROR 2001-01-01T13:56:35 main] foreman-rake db:migrate failed! Check the output for error!

[ERROR 2001-01-01T13:56:35 main] Upgrade step migrate_foreman failed. Check logs for more informat

ion.

Associated revisions

Revision 72094015 - 09/17/2018 01:23 PM - Ewoud Kohl van Wijngaarden

Fixes #24943 - Treat logging.yaml as non-config

The logging settings can be overridden in settings.yaml. logging.yaml is

only meant for a set of defaults.

History

#1 - 09/14/2018 01:44 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/3000 added

#2 - 09/17/2018 02:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|72094015c1c4484c13f3fd585f9fd1596e6e5a73.

#3 - 10/15/2018 09:07 AM - Tomer Brisker

- Fixed in Releases 1.20.0 added
